<div class="new-cmp">
    <div class="angular-demo" hidden>
        <span>
            <p class="title">{{title}}
                <select (change)="changeMonth($event)">
                    <option *ngFor="let i of months" value="{{i}}">{{i}}</option>
                </select>
            </p>
        </span>
        <span>
            <button (click)="myClickFunction($event)">
                Click
            </button>
        </span>
        <span>
            <h2 *ngIf="isavailable;then condition1 else condition2">HIHI</h2>
            <ng-template #condition1>
                <p>Condition is valid</p>
            </ng-template>
            <ng-template #condition2>
                <p>Condition is invalid</p>
            </ng-template>
        </span>
        <!--The content below is only a placeholder and can be replaced.-->
        <div style="width:100%;">
            <div style="width:40%;float:left;">
                <h1>Uppercase Pipe</h1>
                <b>{{title | uppercase}}</b>
                <br />
        
                <h1>Lowercase Pipe</h1>
                <b>{{title | lowercase}}</b>
                <h1>Currency Pipe</h1>
                <b>{{6589.23 | currency:"USD"}}</b>
                <br />
        
                <b>{{6589.23 | currency:"USD":true}}</b>
                <!-- Boolean true is used to get the sign of the currency. -->
                <h1>Date pipe</h1>
                <b>{{toDay | date:'d/M/y'}}</b>
                <br />
                <b>{{toDay | date:'shortTime'}}</b>
            </div>
        
            <div style="width:50%;float:left;">
                <h1>Decimal Pipe</h1>
                <b>{{ 454.78787814 | number: '3.4-4' }}</b>
                <!-- 3 is for main integer, 4 -4 are for integers to be displayed. -->
        
                <h1>Json Pipe</h1>
                <b>{{ jsonval | json }}</b>
                <h1>Percent Pipe</h1>
                <b>{{00.54565 | percent}}</b>
                <h1>Slice Pipe</h1>
                <b>{{months | slice:2:6}}</b>
                <!-- here 2 and 6 refers to the start and the end index -->
            </div>
        </div>
        <div style="width:50%;float:left;">
            <h1>Sqrt Pipe</h1>
            <h2>{{16 | sqrt}}</h2>
            <h2>{{64 | sqrt}}</h2>
        </div>
        <div>
            <h1>Routing</h1>
            <a routerLink="/home" type="button">Home</a>
            <a routerLink="/contactus" type="button">Contact Us</a>
        </div>
        <div>
            <h2>{{toDayDate}}</h2>
        </div>
        <div>
            <h3>{{newComponentProperty}}</h3>
        </div>
        <router-outlet></router-outlet>
        <div>
            <h2>Response Data</h2>
            <table class="table table-bordered">
                <thead class="text-center font-weight-bold">
                    <td>Id</td>
                    <td>User Name</td>
                    <td>Name</td>
                    <td>Phone</td>
                    <td>Email</td>
                    <td>Company</td>
                    <td>City</td>
                </thead>
                <tr *ngFor="let item of responseData;">
                    <td>{{item.id}}</td>
                    <td>{{item.username}}</td>
                    <td>{{item.name}}</td>
                    <td>{{item.phone}}</td>
                    <td>{{item.email}}</td>
                    <td>{{item.company.name}}</td>
                    <td>{{item.address.city}}</td>
                </tr>
            </table>
        </div>
    </div>
    <div class="chartjs-demo">
        <div class="bar-chart">
            <h1>Bar chart</h1>
            <div>
                <div style="display: block">
                    <canvas baseChart 
                        [datasets]="barChart.Data" 
                        [labels]="barChart.Labels" 
                        [options]="barChart.Options" 
                        [legend]="barChart.Legend" 
                        [chartType]="barChart.Type" 
                        width="600" height="300">
                    </canvas>
                </div>
            </div>
        </div>
        <div class="radar-chart">
            <h1>Radar chart</h1>
            <div>
                <div style="display: block">
                    <canvas baseChart
                            [datasets]="radarChart.Data"
                            [labels]="radarChart.Labels"
                            [chartType]="radarChart.Type"
                            width="600" height="300">
                    </canvas>
                </div>
            </div>
        </div>
        <div class="pie-chart">
            <h1>Pie chart</h1>
            <div>
                <div style="display: block">
                    <canvas baseChart
                            [data]="pieChart.Data"
                            [labels]="pieChart.Labels"
                            [chartType]="pieChart.Type"
                            width="600" height="300">
                    </canvas>
                </div>
            </div>
        </div>
        <div class="line-chart">
            <h1>Line chart</h1>
            <div style="display: block;">
                <canvas baseChart 
                    [datasets]="lineChart.Data"
                    [labels]="lineChart.Labels"
                    [options]="lineChart.Options"
                    [colors]="lineChart.Colors"
                    [legend]="lineChart.Legend"
                    [chartType]="lineChart.Type"
                    [plugins]="lineChart.Plugins"
                    width="600" height="300">
                </canvas>
            </div>
        </div>
        <div class="line-chart">
            <h1>Scatter chart</h1>
            <div style="display: block;">
                <canvas baseChart
                    [datasets]="scatterChart.Data"
                    [options]="scatterChart.Options"
                    [chartType]="scatterChart.Type">
                </canvas>
            </div>
        </div>
    </div>
    <div class="material-demo">
        
    </div>
</div>